export default [
  // 登录
  {
    path: '/login',
    name: 'Login',
    component: () =>
      import(/* webpackChunkName: "Login" */ '../view/allMedia/login.vue'),
  },
  {
    path: '/authorization',
    component: () =>
      import(
        /* webpackChunkName: "authorization" */ '../view/allMedia/authorization.vue'
      ),
  },
  {
    path: '/copyright',
    component: () =>
      import(
        /* webpackChunkName: "copyright" */ '../view/allMedia/copyright.vue'
      ),
  },
  {
    path: '/analysis_detail',
    component: () =>
      import(
        /* webpackChunkName: "analysis_detail" */ '../view/allMedia/analysis_detail.vue'
      ),
  },
  {
    path: '/h5editor',
    component: () =>
      import(
        /* webpackChunkName: "h5editor" */ '../view/allMedia/H5Editor.vue'
      ),
  },
  // 主页
  {
    path: '/main_home',
    name: 'mainHome',
    component: () =>
      import(/* webpackChunkName: "mainHome" */ '../view/allMedia/main.vue'),
    children: [
      {
        path: 'proofread',
        component: () =>
          import(
            /* webpackChunkName: "onlineText" */ '../view/allMedia/proofread.vue'
          ),
      },
      {
        path: 'analysis',
        component: () =>
          import(
            /* webpackChunkName: "analysis" */ '../view/allMedia/analysis.vue'
          ),
      },
      {
        path: 'analysis_map',
        component: () =>
          import(
            /* webpackChunkName: "analysis_map" */ '../view/allMedia/analysis_map.vue'
          ),
      },
      {
        path: 'convergence',
        component: () =>
          import(
            /* webpackChunkName: "convergence" */ '../view/allMedia/convergence.vue'
          ),
      },
      {
        path: 'h5mall',
        component: () =>
          import(
            /* webpackChunkName: "h5mall" */ '../view/allMedia/H5Mall.vue'
          ),
      },
      {
        path: 'reporting',
        component: () =>
          import(
            /* webpackChunkName: "reporting" */ '../view/allMedia/reporting.vue'
          ),
      }
    ],
  },
];
